MongoCollection::getReadPreference
MongoCollection::group
MongoCollection
PHP Manual

# MongoCollection::getSlaveOkay

(PECL mongo >=1.1.0)

MongoCollection::getSlaveOkay — Get slaveOkay setting for this collection

### Description

public bool MongoCollection::getSlaveOkay ( void )

See the query section of this manual for information on distributing reads to secondaries.

### Parameters

This function has no parameters.

### Return Values

Returns the value of slaveOkay for this instance.

### Changelog

Version | Description
--- | ---
1.2.11 | Emits `E_DEPRECATED` when used.

### See Also

- Read Preferences
- MongoCollection::getReadPreference() - Get the read preference for this collection

MongoCollection::getReadPreference
MongoCollection::group
MongoCollection
PHP Manual